Skip to navigation

Get details of a service model

Returns all details on a service model; including its name and the fields that make up its keys.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

service_model_pathstringRequired

service_model_path - A service model's XPATH. The XPATH is obtained from API ServiceManagement.getServiceModelMap(). When using this API over HTTP, this will be a part of the path itself. Therefore (since service models always include '/' character), the path will first need to be URL encoded. A good site for URL encoding text is URL Encoder.

Response

{Object} Details on the service model argument including its name, the fields that make up its keys, etc. For service model's with multi-field keys, the key is expressed as a space-delimited string of key-field names.

childrenlist of objectsOptional
typestringOptional
namestringOptional

Errors

500
Internal Server Error